Subject: COLLECTION (10) Meat Loaf
From: Joel Ehrlich <[email-masked]>
Date: Tue, 4 Jun 1996 21:12:19 GMT
Newsgroups: rec.food.recipes

Responding to: Susie <[email-masked]>

 SS> What can I say?  My mother never cooked and my Dad never made
 SS> meatloaf,  so I would love some recipes for meatloaf with a very thick,
 SS> slightly  sweet catsup sauce  like they serve at the Boston Carver
 SS> (formerly Boston  Chicken).  I have one good recipe that has Frosted
 SS> Flakes in it, but I am  not sure how to get a not-so-dense- texture.
 SS> How do they thicken the  tomato sauce catsup?  Brown sugar maybe?
 SS> Thanks in advance.  Could you  post and e-mail me?  [email-masked].
 SS> Thanks again!  Susie

Here are a bunch of ideas you can use as the starting point to
developing your own recipe:

 Broccoli Stuffed Meat Loaf    No. 854                  Yields 6 Servings

 1 1/4 lb        Lean Ground Beef         1/8 tsp       Black Pepper
     1           Egg                    1 1/2 Cups      Broccoli Flowerettes
     4 Tbls      Bread Crumbs             1/2 Cup       Mild Cheddar Shreds
     4           Green Onions, Minced       1 Tbls      Butter, Melted
     1 tsp       Salt                       1 Tbls      Tomato Ketchup
   1/2 tsp       Basil Leaves, Dried

Preheat the oven to 350 degrees.
Combine the beef, egg,  1/2 the bread crumbs, 3/4 of the minced green onion,
3/4 of the salt, the basil and the pepper.
Set aside.
Bring a pot of water to a full boil.
Drop in the broccoli flowerettes.
Cook until just tender-crisp (3 to 4 minutes).
Drain thoroughly.
Mix with the cheese, the remaining bread crumbs, green onions and salt.
Press half of the meat mixture into a loaf pan (8" x 4"), forming an
indentation in the center.
Leave a 1" thick layer on the sides.
Fill the indentation with the broccoli mixture.
Top the broccoli with the remaining meat mixture.
Seal well around the edges, completely enclosing the broccoli.
Mix the melted butter and ketchup.
Brush the top of the loaf with this mixture.
Bake until the loaf pulls away from the sides of the pan and the meat is done
(about 60 minutes).
Serve hot.
Cut in slices.

 Cajun Meatloaf    No. 1911                             Yields 6 Servings

                 SEASONING MIX:           1/2 Cup       Celery, Chopped
     2           Bay Leaves               1/4 Cup       Green Onion, Chopped e
     1 tsp       Salt                       2 tsp       Garlic, Minced
     1 tsp       Cayenne                    1 Tbls      Tabasco Sauce
     1 tsp       Black Pepper               1 Tbls      Worcestershire Sauce
   1/2 tsp       White Pepper             1/2 Cup       Evaporated Milk
   1/2 tsp       Cumin, Ground            1/2 Cup       Catsup
   1/2 tsp       Nutmeg, Ground         1 1/2 lb        Lean Ground Beef
                 MEAT LOAF:               1/2 lb        Pork, Ground
     2 Tbls      Sweet Butter               2           Eggs, Beaten Lightly
   3/4 Cup       Onion, Chopped             1 Cup       Fine Bread Crumbs
   1/2 Cup       Green Bell Pepper,
                 Chopped

Preheat the oven to 350 degrees.
Combine all the ingredients for the seasoning mix in a small bowl.
Set aside.
Melt the butter in a (1 quart) saucepan over medium heat.
Add the onions, celery, bell pepper, green onions, garlic, Tabasco, Bay
leaves, Worcestershire and seasoning mix.
Saute, stirring occasionally and scraping the bottom, until the mixture
starts sticking excessively (about 6 minutes).
Stir in the milk and catsup.
Continue to cook, stirring occasionally, for 2 minutes.
Remove from heat and allow to cool to room temperature.
Combine the ground beef and pork in an ungreased (13"x9") baking pan.
Add the eggs, the cooked vegetable mixture and the bread crumbs.
Remove the bay leaves.
Mix by hand until thoroughly combined.
Shape the mixture into a loaf (1 1/2 high, 6" wide and 12" long) in the center
the pan.
Bake for 25 minutes.
Increase the oven temperature to 400 degrees.
Cook until done (about 35 minutes longer).
Serve immediately.

 Kerry Simon's Authentic Meatloaf    No. 3491           Yields 8 Servings

     2 Lb        Lean Ground Beef           1           Onion, Chopped
     2 Lb        Lean Ground Veal           8 Slices    Smoked Bacon
     4 LARGE     Eggs                                   SAUCE:
     1 Cup       Bread Crumbs             3/4 Cup       Ketchup
     3 Tbls      Fresh Mixed Herbs,       1/2 Cup       Molasses
                 Chopped                  1/4 Cup       Brown Sugar
     4 tsp       Salt
     2 tsp       Black Pepper, Ground

Preheat the oven to 350 degrees.
Thoroughly mix the beef, veal, eggs, bread crumbs, herbs, onion, salt and
pepper together.
Place the mixture in a loaf pan.
Place the bacon slices across the top.
Bake for an internal temperature of 145 degrees (about 1 1/2 hours).
Prepare the sauce while the loaf bakes.
Mix the ingredients together in a bowl.
Apply the sauce to the top of the loaf after the loaf has been baking for 45
minutes.
Finish baking the meatloaf.
Remove the meatloaf from the pan.
Slice and serve.
~~~ Kerry Simon

 Meat Loaf w/Spinach & Nut Filling    No. 1838          Yields 6 Servings

   1/2 lb        Beef, Ground             1/8 tsp       Dried Rosemary,
   1/2 lb        Pork, Ground                           Crumbled
   1/2 lb        Veal, Ground             1/2 tsp       Nutmeg, Ground
 1 1/2 Cups      Spinach, Chopped           2 LARGE     Eggs
   3/4 Cup       White Bread Crumbs         2 Tbls      Dijon Mustard
   1/2 Cup       Pistachios, Chopped      1/4 tsp       Tabasco Sauce
     2 Cloves    Garlic, Chopped            6 Slices    Bacon
   1/4 tsp       Dried Thyme, Crumbled

Preheat the oven to 400 degrees.
Combine the beef, pork, veal, spinach, breadcrumbs, pistachios, garlic, thyme,
rosemary and nutmeg in a bowl.
Mix the eggs, mustard and Tabasco sauce in a small bowl.
Add to the meat.
Mix well.
Season to taste with salt and pepper.
Line the (9"x5") glass loaf dish with the bacon slices.
Spread the meat mixture in the dish.
Smooth the top.
Place the loaf dish in a larger, deep sided baking pan.
Add hot water to the baking pan to come halfway up the sides of the loaf dish.
Bake until the meatloaf is brown and firm and the sides pull away from the
dish (about 55 minutes).
Invert onto a platter.
Remove the bacon.
Slice and serve.

 Meat Loaf w/Creole Sauce    No. 876                    Yields 4 Servings

 1 1/2 lb        Ground Meat                1 Small     Onion, Chopped
   1/2 tsp       Salt                       2 oz        Mushrooms, Sliced
   1/2 tsp       Dry Mustard                2 Tbls      Butter
       Dash      Black Pepper           1 1/2 Cups      Tomato Juice
   1/2 Cup       Red Onion, Chopped         1 Tbls      Cornstarch
   3/4 Cup       Bread Crumbs                 Dash      Tabasco Sauce
 5 1/4 oz        Evaporated Milk          1/2 tsp       Thyme Leaves, Dried
     1 Tbls      Cornstarch                             Salt
     2           Eggs, Beaten                           Green Onion, Chopped
                 CREOLE SAUCE:
     1           Green Bell Pepper

Preheat the oven to 350 degrees.
Combine the ground meat, salt, dry mustard, black pepper, finely chopped red
onion, bread crumbs, evaporated milk and cornstarch in a bowl.
Beat the eggs lightly and add.
Place the meat in a well greased pate dish or loaf pan.
Bake until done (about 1 hour).
Prepare the sauce while the meat loaf is baking.
Melt the butter in a saucepan.
Chop the green bell pepper and add along with the chopped onion and mushrooms.
Saute until the onion is soft but not browned.
Mix the cornstarch with a little of the tomato juice.
Add the remaining tomato juice to the pan with the pepper & mushroom mixture.
Return to the heat and bring to a boil.
Add the cornstarch mixture, stirring vigorously.
Add the Tabasco sauce, thyme and salt.
Sprinkle with chopped green onion.
Bring to a boil and continue to boil until the sauce thickens (1 or 2
minutes).
Serve the meat loaf with the sauce and steamed rice.

 Souper Meat Loaf    No. 1895                           Yields 8 Servings

     1 Can       Cream of Mushroom Soup     1           Egg, Beaten
     1 Pkg       Dry Onion Soup Mix       1/4 Cup       Water
     2 lb        Ground Beef
   1/2 Cup       Dry Bread Crumbs

Preheat the oven to 350 degrees.
Combine  1/2 cup of the mushroom soup (for 8 servings, adjust as required), the
onion soup mix, beef, bread crumbs and egg.
Blend thoroughly.
Shape into a FIRM (8"x4") loaf in a (2 quart) oblong baking dish.
Bake until done (about 1 1/4  hours).
Let stand at least 10 minutes before slicing.
Spoon off the fat.
Reserve 2 tablespoons of the drippings (for 8 servings, adjust as required).
Combine the remaining mushroom soup, water and the reserved drippings in a (1
quart) saucepan.
Heat thoroughly over low heat, stirring occasionally.
Serve meat loaf with sauce alongside.

 Cottage Meat Loaf    No. 1956                          Yields 5 Servings

 1 1/2 lb        Lean Ground Beef         1/4 Cup       Onion, Chopped Fine
   1/2 Cup       Tomato Ketchup             2 tsp       Prepared Mustard
   1/3 Cup       Tomato Juice                           TOPPING:
   1/2 tsp       Salt                     1/4 Cup       Tomato Ketchup
   1/2 tsp       Black Pepper, Ground     1/2 tsp       Prepared Mustard
   1/8 tsp       Cayenne                    2 tsp       Brown Sugar
     2           Eggs, Beaten
   3/4 Cup       Bread Crumbs

Preheat the oven to 400 degrees.
Combine the ketchup, tomato juice, salt, black pepper, cayenne, eggs, bread
crumbs, onions and mustard in a large bowl.
Mix until thoroughly blended.
Add the ground beef.
Mix gently but thoroughly.
Line a (9"x5") loaf pan with foil.
Press in the beef mixture.
Blend the topping ingredients together in a separate bowl.
Spread the topping over the meat loaf.
Bake until done (35-40 minutes).
Drain off the fat.
Rest the meat for 5 minutes before serving.

 Danish Meat Loaf    No. 473                            Yields 8 Servings

     1 lb        top round, ground          1 medium    onion, grated
                 twice                      1 heap tbls flour
     1 lb        veal, ground twice                     Salt
   1/2 lb        pork, ground twice                     Pepper, freshly ground
     1 cup       breadcrumbs, fresh,        3 strips    bacon
                 soaked in                              Tomato juice, or
 1 1/2 cups      milk                                   Chicken broth
     2           eggs

Pre-heat oven to 350 F.
Mix meat, soaked bread crumbs, eggs, onion, and flour together by hand.
Beat with a wooden spoon until mixture appears light and frothy.
Add salt and pepper to taste.
Form a loaf of the mixture in a baking dish.
Put the bacon on top.
Bake for about 1 1/2 hours.
Baste several times during baking with the juice or stock.
Slice thinly when cool.

 Meat & Potato Loaf    No. 3532                         Yields 8 Servings

     2           Potatoes, Peeled         1/3 Cup       Tomato Sauce
     3 Tbls      Potato Water             1/4 Cup       Onion, Chopped
     1 Tbls      Parsley                  1/8           Green Bell Pepper,
   1/8 tsp       Thyme, Ground                          Cored, Stemmed, Seeded
   1/8 tsp       Marjoram, Dried                        & Chopped
   3/4 tsp       Salt                   1 1/2 Lb        Lean Ground Beef
     1 Pinch     Black Pepper, Ground     1/4 tsp       Dry Mustard
     2           Eggs                     1/4 Cup       Tomato Catsup
    14           Saltine Crackers

Preheat the oven to 350 degrees.
Cook the potatoes in boiling salted water until tender (about 20 minutes).
Mash the potatoes, using the specified amount of potato water from the water
in which they were boiled. The mashed potatoes should have a stiff
consistency.
Stir in the parsley, thyme and marjoram.
Season to taste with salt and pepper.
Set aside.
Beat the eggs.
Crush the saltine crackers.
Combine the crackers crumbs, eggs, tomato sauce, chopped onion, chopped green
pepper and the measure of salt in a large bowl.
Add the ground beef.
Mix thoroughly.
Form the mixture into a 10"x8" rectangle on a sheet of waxed paper.
Spoon the potato mixture down the center of the length of the rectangle.
Fold the sides of the meat rectangle over the potato.
Seal the edges of the sides of the loaf together.
Seal the ends of the loaf together.
Place the loaf, seam side down, on a 15"x10"x2" baking pan.
Remove the waxed paper.
Bake until done (about 45 minutes).
Combine the catsup and mustard.
Mix thoroughly.
Heat over moderate heat.
Spoon the warm sauce over the meatloaf.
Serve hot.

 Pinwheel Meat Loaf    No. 661                          Yields 4 Servings

 1 1/2 lb        Lean Ground Beef           3 Tbls      Parmesan, Grated
   1/2 Cup       Bread Crumbs (Fine)      1/2 tsp       Oregano or Marjoram
     1           Egg, Beaten                1 Clove     Garlic, Minced
 1 1/4 tsp       Salt                     1/4 Cup       Ketchup
   1/8 tsp       Pepper                                 Parsley, Chopped
    10 oz        Frozen Spinach, Thawed
   3/4 Cup       Mozzarella, Shredded

Preheat the oven to 350 degrees.
Combine the ground beef, bread crumbs, egg, 4/5 of the salt, pepper and half
the ketchup and mix lightly.
Combine the spinach, 2/3 of the mozzarella, the parmesan, the herb, the
garlic and the remaining salt.
Pat out the meat mixture on waxed paper to form a large rectangle (14x18).
Spread the spinach filling over the meat to about 3/4" from the edge.
Roll the meat up from the short end in jelly-roll fashion to enclose the
filling and form a pinwheel loaf.
Press the meat mixture around the filling at both ends.
Place the loaf, seam side down, on the rack of a roasting pan.
Bake for one hour.
Spread the remaining ketchup on the top of the meat loaf and bake another 15
minutes.
Remove from the oven and sprinkle with the remaining mozzarella and parsley.
Serve hot.
May also be chilled and served cold.

Joel
--
Rec.food.recipes is moderated; only recipes and recipe requests are
accepted for posting. Please read the "Posting Guidelines" article which is
now available on line: http://www.duke.edu/~tfdpress/rfrpost.html.
Recipes/articles go to [email-masked]; requests go to [email-masked];
questions/comments go to [email-masked]. Please allow several days
for your submission to appear.